aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/domo')
-rwxr-xr-xbin/ebuild-helpers/domo16
1 files changed, 12 insertions, 4 deletions
diff --git a/bin/ebuild-helpers/domo b/bin/ebuild-helpers/domo
index e08e55a3a..70f93d61e 100755
--- a/bin/ebuild-helpers/domo
+++ b/bin/ebuild-helpers/domo
@@ -14,13 +14,21 @@ if ! ___eapi_has_prefix_variables; then
ED=${D}
fi
+if ! ___eapi_has_DESTTREE_INSDESTTREE; then
+ [[ -n ${DESTTREE} ]] &&
+ die "${0##*/}: \${DESTTREE} has been banned for EAPI '$EAPI'; use 'into' instead"
+else
+ # backwards compatibility
+ _E_DESTTREE_=${DESTTREE}
+fi
+
# newer EAPIs force /usr consistently with other /usr/share helpers
if ! ___eapi_domo_respects_into; then
- DESTTREE=/usr
+ _E_DESTTREE_=/usr
fi
-if [ ! -d "${ED}${DESTTREE}/share/locale" ] ; then
- install -d "${ED}${DESTTREE}/share/locale/"
+if [ ! -d "${ED}${_E_DESTTREE_}/share/locale" ] ; then
+ install -d "${ED}${_E_DESTTREE_}/share/locale/"
fi
ret=0
@@ -28,7 +36,7 @@ ret=0
for x in "$@" ; do
if [ -e "${x}" ] ; then
mytiny="${x##*/}"
- mydir="${ED}${DESTTREE}/share/locale/${mytiny%.*}/LC_MESSAGES"
+ mydir="${ED}${_E_DESTTREE_}/share/locale/${mytiny%.*}/LC_MESSAGES"
if [ ! -d "${mydir}" ] ; then
install -d "${mydir}"
fi